%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  gmmsslm
%global packver   1.1.6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.6
Release:          1%{?dist}%{?buildtag}
Summary:          Semi-Supervised Gaussian Mixture Model with a Missing-Data Mechanism

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.1.0
Requires:         R-core >= 3.1.0
BuildArch:        noarch
BuildRequires:    R-CRAN-mvtnorm 
BuildRequires:    R-stats 
BuildRequires:    R-methods 
Requires:         R-CRAN-mvtnorm 
Requires:         R-stats 
Requires:         R-methods 

%description
The algorithm of semi-supervised learning is based on finite Gaussian
mixture models and includes a mechanism for handling missing data. It aims
to fit a g-class Gaussian mixture model using maximum likelihood. The
algorithm treats the labels of unclassified features as missing data,
building on the framework introduced by Rubin (1976) <doi:10.2307/2335739>
for missing data analysis. By taking into account the dependencies in the
missing pattern, the algorithm provides more information for determining
the optimal classifier, as specified by Bayes' rule.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
